so和jar包版本不匹配1011

0 投票

跟着文档教程走的二维gis开发,ndk有;libs有;target也改了;动态权限也有;我把代码里许可的路径注释了,手机里在许可证书默认路径放了许可就没了许可不存在问题;麻烦大佬看一下是什么原因

    java.lang.RuntimeException: Unable to start activity ComponentInfo{com.example.basede/com.example.basede.MainActivity}: java.lang.IllegalArgumentException: so库和jar包版本不匹配
    
        at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:2946)
        at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:3081)
        at android.app.servertransaction.LaunchActivityItem.execute(LaunchActivityItem.java:78)
        at android.app.servertransaction.TransactionExecutor.executeCallbacks(TransactionExecutor.java:108)
        at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:68)
        at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1831)
        at android.os.Handler.dispatchMessage(Handler.java:106)
        at android.os.Looper.loop(Looper.java:201)
        at android.app.ActivityThread.main(ActivityThread.java:6810)
        at java.lang.reflect.Method.invoke(Native Method)
        at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:547)
        at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:873)
     Caused by: java.lang.IllegalArgumentException: so库和jar包版本不匹配

4月 7 分类:  100次浏览 | 用户: ar_boy 才疏学浅 (14 分)

1个回答

0 投票
您好,麻烦确认以下几个问题:
1.下载的产品包是32位的还是64位的?
2.可以将grandle版本降低为3.2.0重新编译
4月 7 用户: 董懿鑫 登峰造极 (8,120 分)
下载的是64位的,用的gradle是4.1.3

64位的不能使用armeabi_v7a。建议您那边下载32位的iMobile来使用。下载地址:http://support.supermap.com.cn/DownloadCenter/DownloadPage.aspx?id=1561

好的在下了,谢谢

我也遇到这个问题了,从给的链接下载并替换原来的包后,还是一样。

  Caused by: java.lang.IllegalArgumentException: so库和jar包版本不匹配
    
        at com.supermap.data.Environment.checkAndLoadLibrary64(Environment.java:1788)
        at com.supermap.data.Environment.initialization(Environment.java:584)

能否帮我看一下。

...